import express, { Request, Response } from "express";
import {
  createAward,
  deleteAward,
  getAllAwards,
  getAwardById,
  updateAward,
} from "../../controller/admin/awardController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllAwards(req, res);
});

router.get("/:id", async (req: Request, res: Response) => {
  await getAwardById(req, res);
});

router.post("/", async (req: Request, res: Response) => {
  await createAward(req, res);
});

router.patch("/:id", async (req: Request, res: Response) => {
  await updateAward(req, res);
});

router.delete("/:id", async (req: Request, res: Response) => {
  await deleteAward(req, res);
});

export default router;
