import express, { Request, Response } from "express";
import {
  createCommunicationType,
  deleteCommunicationType,
  getAllCommunicationTypes,
  getCommunicationTypeAvailableColumns,
  getCommunicationTypeById,
  updateCommunicationType,
} from "../../controller/admin/communicationTypeController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllCommunicationTypes(req, res);
});

router.get("/fields", async (req: Request, res: Response) => {
  await getCommunicationTypeAvailableColumns(req, res);
});

router.get("/:id", async (req: Request, res: Response) => {
  await getCommunicationTypeById(req, res);
});

router.post("/", async (req: Request, res: Response) => {
  await createCommunicationType(req, res);
});

router.patch("/:id", async (req: Request, res: Response) => {
  await updateCommunicationType(req, res);
});

router.delete("/:id", async (req: Request, res: Response) => {
  await deleteCommunicationType(req, res);
});

export default router;
