import express, { Request, Response } from "express";
import {
  createExecutivePosition,
  deleteExecutivePosition,
  getAllExecutivePositions,
  getExecutivePositionById,
  updateExecutivePosition,
} from "../../controller/admin/executivePositionController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllExecutivePositions(req, res);
});

router.get("/:id", async (req: Request, res: Response) => {
  await getExecutivePositionById(req, res);
});

router.post("/", async (req: Request, res: Response) => {
  await createExecutivePosition(req, res);
});

router.patch("/:id", async (req: Request, res: Response) => {
  await updateExecutivePosition(req, res);
});

router.delete("/:id", async (req: Request, res: Response) => {
  await deleteExecutivePosition(req, res);
});

export default router;
