import express, { Request, Response } from "express";
import {
  createMembershipStatus,
  deleteMembershipStatus,
  getAllMembershipStatus,
  getMembershipStatusById,
  updateMembershipStatus,
} from "../../controller/admin/membershipStatusController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllMembershipStatus(req, res);
});

router.get("/:id", async (req: Request, res: Response) => {
  await getMembershipStatusById(req, res);
});

router.post("/", async (req: Request, res: Response) => {
  await createMembershipStatus(req, res);
});

router.patch("/:id", async (req: Request, res: Response) => {
  await updateMembershipStatus(req, res);
});

router.delete("/:id", async (req: Request, res: Response) => {
  await deleteMembershipStatus(req, res);
});

export default router;
