import express, { Request, Response } from "express";
import {
  createQualification,
  deleteQualification,
  getAllQualifications,
  getQualificationById,
  updateQualification,
} from "../../controller/admin/qualificationController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllQualifications(req, res);
});

router.get("/:id", async (req: Request, res: Response) => {
  await getQualificationById(req, res);
});

router.post("/", async (req: Request, res: Response) => {
  await createQualification(req, res);
});

router.patch("/:id", async (req: Request, res: Response) => {
  await updateQualification(req, res);
});

router.delete("/:id", async (req: Request, res: Response) => {
  await deleteQualification(req, res);
});

export default router;
